org.apache.uima.adapter.jms.activemq

## Class BrokerDeployer

- java.lang.Object
- - org.apache.uima.adapter.jms.activemq.BrokerDeployer

- All Implemented Interfaces:
    EventListener, org.springframework.context.ApplicationListener

  Deprecated.

      public class BrokerDeployer
      extends Object
      implements org.springframework.context.ApplicationListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrokerDeployer()` Deprecated.
    `BrokerDeployer(long maxMemoryinBytes)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.activemq.broker.BrokerService` | `getBroker()` Deprecated.
    `void` | `onApplicationEvent(org.springframework.context.ApplicationEvent anEvent)` Deprecated. Callback method invoked by Spring container during its lifecycle changes Ignore all events except for ContextClosedEvent which indicates the container has shutdown.
    `void` | `startInternalBroker()` Deprecated.
    `void` | `stop()` Deprecated. Stops the ActiveMQ broker.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrokerDeployer

          public BrokerDeployer(long maxMemoryinBytes)
                         throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### BrokerDeployer

          public BrokerDeployer()
                         throws Exception

      Deprecated.
      Throws:
        `Exception`

  - ### Method Detail

    - #### getBroker

          public org.apache.activemq.broker.BrokerService getBroker()

      Deprecated.

    - #### startInternalBroker

          public void startInternalBroker()
                                   throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### stop

          public void stop()

      Deprecated.
      Stops the ActiveMQ broker. This method waits for 1 second to allow the broker to cleanup objects from JMX Server.

    - #### onApplicationEvent

          public void onApplicationEvent(org.springframework.context.ApplicationEvent anEvent)

      Deprecated.
      Callback method invoked by Spring container during its lifecycle changes Ignore all events except for ContextClosedEvent which indicates the container has shutdown. In this case, stop the internal ActiveMQ broker.
      Specified by:
        `onApplicationEvent` in interface `org.springframework.context.ApplicationListener`
      Parameters:
        `anEvent` - - an event object

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.